Вход | Регистрация


Ошибка браузера при работе с yandex api средствами 1с

Ошибка браузера при работе с yandex api средствами 1с
Я
   1634344
 
22.01.18 - 11:06
Столкнулся с проблемой.
пытаюсь вывести карту средствами yandex? но постоянно возникает ошибка.
Подскажите может кто с такой ошибкой сталкивался, и как можно избавиться от данной ошибки.

Ошибка веб страницы:

Строка: 2 
Ошибка: "ymaps" не определено


Код:
Процедура ВывестиНаКарту()


    строка= "<!DOCTYPE html>
                    |<html xmlns='http://www.w3.org/1999/xhtml'>;
                    |<head>
                    |    <title>Примеры. Определение координат.</title>
                    |    <meta http-equiv='Content-Type' content='text/html; charset=utf-8'/>
                    |     <meta http-equiv='X-UA-Compatible' content='IE=9' >
                    |     <script src='https://api-maps.yandex.ru/2.1/?lang=ru_RU' type='text/javascript'></script>
                    |     <script type='text/javascript'>
                    |            ymaps.ready(function() {
                    |            var myPlacemark,
                    |            myMap = new ymaps.Map(document.getElementById('map'), {
                    |                    center: [53.221961,50.202103],
                    |                    zoom: 9,
                    |                }, {
                    |                    searchControlProvider: 'yandex#search'
                    |                });
                    |    </script>
                    |</head>
                    |<body>
                    |     <div id='map'
style='width: 600px; height: 400px'></div>
                    |</body>
                    |</html>";

    ЭлементыФормы.ПолеHTMLДокумента1.УстановитьТекст(строка);
                    
КонецПроцедуры
 
 
   xxTANATORxx
 
1 - 22.01.18 - 11:11
яндекс твой браузер не поддерживают
   Локи-13
 
2 - 22.01.18 - 11:22
(0) я тоже чот не увидел определения ymaps
Может должен быть еще какой то скрипт?
   1634344
 
3 - 22.01.18 - 11:29
На платформе 8.2 ошибка вылетает но карта отображается.
На платформе 8.3 ошибка так,же вылетает, но карта не отображается. Код а под 8.3 оптимизировал.
Может проблема в платформе 8.3 ?
   PloAl
 
4 - 22.01.18 - 11:34
добавьте в хед
<meta http-equiv="X-UA-Compatible" content="IE=edge">

еще где то в js ваш код разработчика яндекс карт должен быть указан

Список тем форума
Рекламное место пустует  Рекламное место пустует
ВНИМАНИЕ! Если вы потеряли окно ввода сообщения, нажмите Ctrl-F5 или Ctrl-R или кнопку "Обновить" в браузере.
Тема не обновлялась длительное время, и была помечена как архивная. Добавление сообщений невозможно.
Но вы можете создать новую ветку и вам обязательно ответят!
Каждый час на Волшебном форуме бывает более 2000 человек.
Рекламное место пустует